All pages
Powered by GitBook
1 of 1

Loading...

Create custom ledger attachment

post

Uploads a file as multipart/form-data with optional properties (name, description).

Path parameters
customLedgerIdstringRequired

The ID of the custom ledger to which the attachment belongs.

Body
namestringOptional

The name of the attachment.

descriptionstringOptional

The description of the attachment.

filestring · binary · nullableOptional

The file of the attachment.

filestring · binaryOptional
Responses
201

Created

application/json

Represents an attachment associated with a custom ledger in the billing system.

atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional

Name of the attachment.

Example: raw records data
typestring · enumOptional

Represents the type of billing attachment.

Possible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: invoice.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
descriptionstringOptional

Provides a description of the attachment.

Example: Invoice for March 2025
isDeletedbooleanOptional

Indicates whether the attachment has been marked as deleted.

Example: false
idstringOptional

The unique identifier of the attachment.

Example: CLA-1234-1234
revisioninteger · int32Optional
idstringOptional

The unique identifier of the custom ledger.

namestringOptional

Name of the custom ledger.

Example: Quarterly Revenue Ledger
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/billing/custom-ledgers/{customLedgerId}/attachments
POST /public/v1/billing/custom-ledgers/{customLedgerId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 83

{
  "attachment": {
    "name": "text",
    "description": "text",
    "file": "binary"
  },
  "file": "binary"
}
{
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "raw records data",
  "type": "Input",
  "filename": "invoice.pdf",
  "size": 102400,
  "contentType": "application/pdf",
  "description": "Invoice for March 2025",
  "isDeleted": false,
  "id": "CLA-1234-1234",
  "customLedger": {
    "revision": 1,
    "id": "text",
    "name": "Quarterly Revenue Ledger"
  }
}

Creates a new custom ledger attachment.